### Method

# Ide DeviceManager set_device

#### Declaration

    void
    ide_device_manager_set_device (
      IdeDeviceManager* self,
      IdeDevice* device
    )

#### Description

Sets the `IdeDeviceManager:device` property, which is the currently selected device. Builder uses this to determine how to build the current project for the devices architecture and operating system.

If `device` is `NULL`, the local device will be used.

Available since: | 3.32

Sets property | `Ide.DeviceManager:device`

#### Parameters

`device` | `IdeDevice`
| An `IdeDevice` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.